Question: Problem installing ChAMP package.
1
gravatar for cawten
11 months ago by
cawten10
cawten10 wrote:

Greetings all, 

I am having trouble installing the ChAMP package. Briefly, there is a segmentation failure (line 1: 44538 Segmentation fault). All of the ChAMP package dependency is installed. Do you know how to solve this issue? 

The output code is bellow.

Thank you so much for the help, 

Nathan

installing to library â/home/cawten/R/x86_64-redhat-linux-gnu-library/3.3â
* installing *source* package âChAMPâ ...
** R
** inst
** preparing package for lazy loading
Warning: replacing previous import âigraph::edgesâ by âgraph::edgesâ when loading âFEMâ
Warning: replacing previous import âigraph::intersectionâ by âgraph::intersectionâ when loading âFEMâ
Warning: replacing previous import âigraph::degreeâ by âgraph::degreeâ when loading âFEMâ
Warning: replacing previous import âigraph::unionâ by âgraph::unionâ when loading âFEMâ
Warning: replacing previous import âMatrix::whichâ by âBiocGenerics::whichâ when loading âFEMâ
Warning: replacing previous import âlimma::plotMAâ by âBiocGenerics::plotMAâ when loading âFEMâ
Warning: replacing previous import âigraph::normalizeâ by âBiocGenerics::normalizeâ when loading âFEMâ
Warning: replacing previous import 'plyr::summarise' by 'plotly::summarise' when loading 'ChAMP'
Warning: replacing previous import 'plyr::rename' by 'plotly::rename' when loading 'ChAMP'
Warning: replacing previous import 'plyr::arrange' by 'plotly::arrange' when loading 'ChAMP'
Warning: replacing previous import 'plyr::mutate' by 'plotly::mutate' when loading 'ChAMP'
Warning: replacing previous import 'plyr::is.discrete' by 'Hmisc::is.discrete' when loading 'ChAMP'
Warning: replacing previous import 'plyr::summarize' by 'Hmisc::summarize' when loading 'ChAMP'
Warning: replacing previous import 'plotly::subplot' by 'Hmisc::subplot' when loading 'ChAMP'
Warning: replacing previous import 'GenomicRanges::sort' by 'globaltest::sort' when loading 'ChAMP'
Warning: replacing previous import 'globaltest::model.matrix' by 'stats::model.matrix' when loading 'ChAMP'
Warning: replacing previous import 'globaltest::p.adjust' by 'stats::p.adjust' when loading 'ChAMP'
** help
*** installing help indices
  converting help for package 'ChAMP'
    finding HTML links ... done
    Block.GUI                               html
    ChAMP-package                           html
    CpG.GUI                                 html
    DMP.GUI                                 html
    DMR.GUI                                 html
    QC.GUI                                  html
    champ.Block                             html
    champ.CNA                               html
    champ.DMP                               html
    champ.DMR                               html
    champ.EpiMod                            html
    champ.GSEA                              html
    champ.QC                                html
    champ.SVD                               html
    champ.ebayGSEA                          html
    champ.filter                            html
    champ.import                            html
    champ.impute                            html
    champ.load                              html
    champ.norm                              html
    champ.process                           html
    champ.refbase                           html
    champ.runCombat                         html
** building package indices
** installing vignettes
** testing if installed package can be loaded
sh: line 1: 44538 Segmentation fault      (core dumped) '/usr/lib64/R/bin/R' --no-save --slave 2>&1 < '/tmp/RtmpSOWk1V/fileaddd6c6fe823'
Warning: replacing previous import âigraph::edgesâ by âgraph::edgesâ when loading âFEMâ
Warning: replacing previous import âigraph::intersectionâ by âgraph::intersectionâ when loading âFEMâ
Warning: replacing previous import âigraph::degreeâ by âgraph::degreeâ when loading âFEMâ
Warning: replacing previous import âigraph::unionâ by âgraph::unionâ when loading âFEMâ
Warning: replacing previous import âMatrix::whichâ by âBiocGenerics::whichâ when loading âFEMâ
Warning: replacing previous import âlimma::plotMAâ by âBiocGenerics::plotMAâ when loading âFEMâ
Warning: replacing previous import âigraph::normalizeâ by âBiocGenerics::normalizeâ when loading âFEMâ
Warning: replacing previous import 'plyr::summarise' by 'plotly::summarise' when loading 'ChAMP'
Warning: replacing previous import 'plyr::rename' by 'plotly::rename' when loading 'ChAMP'
Warning: replacing previous import 'plyr::arrange' by 'plotly::arrange' when loading 'ChAMP'
Warning: replacing previous import 'plyr::mutate' by 'plotly::mutate' when loading 'ChAMP'
Warning: replacing previous import 'plyr::is.discrete' by 'Hmisc::is.discrete' when loading 'ChAMP'
Warning: replacing previous import 'plyr::summarize' by 'Hmisc::summarize' when loading 'ChAMP'
Warning: replacing previous import 'plotly::subplot' by 'Hmisc::subplot' when loading 'ChAMP'
Warning: replacing previous import 'GenomicRanges::sort' by 'globaltest::sort' when loading 'ChAMP'
Warning: replacing previous import 'globaltest::model.matrix' by 'stats::model.matrix' when loading 'ChAMP'
Warning: replacing previous import 'globaltest::p.adjust' by 'stats::p.adjust' when loading 'ChAMP'

 *** caught segfault ***
address (nil), cause 'memory not mapped'
An irrecoverable exception occurred. R is aborting now ...
ERROR: loading failed
* removing '/home/cawten/R/x86_64-redhat-linux-gnu-library/3.3/ChAMP'

 *** caught segfault ***
address (nil), cause 'memory not mapped'

Traceback:
 1: q("no", status = 1, runLast = FALSE)
 2: do_exit_on_error()
 3: errmsg("loading failed")
 4: do_install_source(pkg_name, instdir, pkg, desc)
 5: do_install(pkg)
 6: tools:::.install_packages()
An irrecoverable exception occurred. R is aborting now ...
/usr/lib64/R/bin/INSTALL: line 34: 44508 Done                    echo 'tools:::.install_packages()'
     44509 Segmentation fault      (core dumped) | R_DEFAULT_PACKAGES= LC_COLLATE=C "${R_HOME}/bin/R" $myArgs --slave --args ${args}

ADD COMMENTlink modified 11 months ago by Martin Morgan ♦♦ 23k • written 11 months ago by cawten10
Answer: Problem installing ChAMP package.
0
gravatar for Martin Morgan
11 months ago by
Martin Morgan ♦♦ 23k
United States
Martin Morgan ♦♦ 23k wrote:

It looks like you're using R 3.3, which is quite old and problematic, since if there is a fix to be had it won't be made available for that version. So the first step is to update to the current version of R (R-3.5.1) and then to install ChAMP again. If there is still a segfault, start R-3.5.1 and make sure that your installation is correct, e.g.,

BiocInstaller::biocValid()

should return TRUE.

Looks like this is the same problem as here; where the same answer has already been provided.

ADD COMMENTlink modified 11 months ago • written 11 months ago by Martin Morgan ♦♦ 23k

Thank you Martin, 

It was a combination of R being old, not having up to date biocInstaller, and not having the dependencies XML and RCurl (permission issues with IT). 

 

Problem solved. Cheers, 

Nathan 

ADD REPLYlink written 11 months ago by cawten10
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 364 users visited in the last hour